Ubuntu

Softreset failed (device not ready)

Reported by ciemiku on 2008-10-18
368
This bug affects 52 people
Affects Status Importance Assigned to Milestone
Debian
New
Undecided
Unassigned
linux (Fedora)
Fix Released
Unknown
linux (Red Flag Midinux)
Confirmed
Unknown
linux (Ubuntu)
Undecided
Dmitry Ledyaev
Nominated for Karmic by Oz
Nominated for Lucid by Oz

Bug Description

INSTALLATION problem for Hardy and IBEX as well.
During the install process I got the next messages [during an extremely slow installation process]
Hardy producess similar messages (30 min)
Ibex stops,

Let me lists messages when Ibex install stops
I got the mesages below

BusyBox V1.10.2 (Ubuntu 1:1.10.2-1 ubuntu6) built-in shell (ash)

[66.064009] ata7:Softreset failed (device not ready)
[76.084008] ata8:Softreset failed (device not ready)
[86.088009] ata8:Softreset failed (device not ready)
[121.128011] ata8:Softreset failed (device not ready)
[126.148007] ata8:Softreset failed (device not ready)

What is the problem rally here with the install DVD? (regardless is it Hardy or Intrepid the same messages I got)

GA-EP45-DQ6 motherboard (http://www.gigabyte.com.tw/Products/Motherboard/Products_Overview.aspx?ProductID=2831)

[ The South Bridge: 6 x SATA 3Gb/s connectors (SATAII0, SATAII1, SATAII2, SATAII3, SATAII4, SATAII5) supporting up to 6 SATA 3Gb/s devices are connected but
I did not connected any sata cables to 2 x SiI5723 chips : -4 x SATA 3Gb/s connectors (GS0-Source, GS1, GS2-Source, GS3) supporting up to 4 SATA 3Gb/s devices - Support for Smart Backup (RAID 1) ]

I suspect that messages comes around the Jmicron & Sis5723 chips. Is it driver problem, not providing during the install ?
See schematic http://www.hardwarezone.com/img/data/articles/2008/2559/dq6-sketch.jpg
Or more info on the motherboard at http://forums.tweaktown.com/f69/ep45-ds5-dq6-27384/

How to provide driver, if it is so? (There is no Ubuntu driver at ftp://driver.jmicron.com.tw/jmb36x/? [there is driver for e.g. fedora but none for ubuntu])
How to continue the installation, skip searching the ATA drivers for not used chip, get able to install the Ibex?

ciemiku (ciemiku) on 2008-10-20
description: updated
kyr (kkyriak) wrote :

I have the exact same problem with GA-EP45-DQ6 i found no solution.
Interbid (release) has now effect.

goto (gotolaunchpad) wrote :
Download full text (4.0 KiB)

I just experienced this bug (switched to Intrepid yesterday, the bug never appeared with Hardy):

I surfed in the internet and suddenly everything was frozen. I changed the terminal and then a

[time...] ata3:Softreset failed (device not ready)

appeared. I switched back to X and then after a few seconds everything woke up again. On console at F8 was very much output:"
[ 361.492541] ata3.00: exception Emask 0x0 SAct 0xf SErr 0x0 action 0x6 frozen
[ 361.492608] ata3.00: cmd 60/08:00:67:9b:28/00:00:05:00:00/40 tag 0 ncq 4096 in
[ 361.492611] res 40/00:00:00:4f:c2/00:00:00:00:00/00 Emask 0x4 (timeout)
[ 361.492694] ata3.00: status: { DRDY }
[ 361.492737] ata3.00: cmd 60/08:08:5f:04:78/00:00:1a:00:00/40 tag 1 ncq 4096 in
[ 361.492740] res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
[ 361.492822] ata3.00: status: { DRDY }
[ 361.492865] ata3.00: cmd 60/18:10:c7:2a:80/00:00:0c:00:00/40 tag 2 ncq 12288 in
[ 361.492868] res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
[ 361.492949] ata3.00: status: { DRDY }
[ 361.492992] ata3.00: cmd 60/08:18:17:81:6c/00:00:1a:00:00/40 tag 3 ncq 4096 in
[ 361.492995] res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
[ 361.493082] ata3.00: status: { DRDY }
[ 361.493128] ata3: hard resetting link
[ 361.976041] ata3: softreset failed (device not ready)
[ 361.976096] ata3: failed due to HW bug, retry pmp=0
[ 362.140043] ata3: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[ 362.150871] ata3.00: configured for UDMA/133
[ 362.150912] ata3: EH complete
[ 362.214653] sd 2:0:0:0: [sda] 488397168 512-byte hardware sectors (250059 MB)
[ 362.268441] sd 2:0:0:0: [sda] Write Protect is off
[ 362.268458] sd 2:0:0:0: [sda] Mode Sense: 00 3a 00 00
[ 362.401303] sd 2:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
"

I have ahci enabled in BIOS in order to use ncq, which works afaik. I use an Intrepid System (upgraded from Hardy), AMD64 dual core, 3 GB RAM and a Gigabyte Mainboard (GA-MA78G-DS3H) version 1 with a BIOS update to version F4.

If I can help, just ask.
Thanks!

PS: The output of "lspci":
$ lspci
00:00.0 Host bridge: Advanced Micro Devices [AMD] RS780 Host Bridge
00:01.0 PCI bridge: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (int gfx)
00:0a.0 PCI bridge: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (PCIE port 5)
00:11.0 SATA controller: ATI Technologies Inc SB700/SB800 SATA Controller [AHCI mode]
00:12.0 USB Controller: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller
00:12.1 USB Controller: ATI Technologies Inc SB700 USB OHCI1 Controller
00:12.2 USB Controller: ATI Technologies Inc SB700/SB800 USB EHCI Controller
00:13.0 USB Controller: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller
00:13.1 USB Controller: ATI Technologies Inc SB700 USB OHCI1 Controller
00:13.2 USB Controller: ATI Technologies Inc SB700/SB800 USB EHCI Controller
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 3a)
00:14.1 IDE interface: ATI Technologies Inc SB700/SB800 IDE Controller
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA)
00:14.3 ISA bridge: ATI Technologi...

Read more...

goto (gotolaunchpad) wrote :

Could it have to do with this: http://kerneltrap.org/mailarchive/git-commits-head/2008/6/14/2122314
?

And am I allowed to set the status of this bug to 'confirmed' or do I have to wait that someone else does that?
Thanks.

goto (gotolaunchpad) wrote :

I got this just two times in a row. Listening to music in totem and surfing the internet with firefox. Suddenly music stops and I cannot do anything any more. I switch the terminal, see the error, and after a few seconds everything continues and everything is normal again. I see in gnome system-monitor that the system uses both cores 100%.
Thanks for your help.

Poru (poru) wrote :

I have also started getting these "Softreset failed (device not ready)" messages on upgrade to Intrepid from Hardy (64bit server version). I haven't noticed any performance issues - but maybe I am just not aware of them. I tend to leave the server to its own devices quite a lot, only checking the logs from time to time.

goto (gotolaunchpad) wrote :

Hello,
got this just again:

in /var/log/messages:

Nov 21 17:46:05 x-desktop kernel: [11957.992238] ata1: hard resetting link
Nov 21 17:46:05 x-desktop kernel: [11958.700053] ata1: failed due to HW bug, retry pmp=0
Nov 21 17:46:05 x-desktop kernel: [11958.864049] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
Nov 21 17:46:05 x-desktop kernel: [11958.874909] ata1.00: configured for UDMA/133
Nov 21 17:46:05 x-desktop kernel: [11958.874965] ata1: EH complete
Nov 21 17:46:05 x-desktop kernel: [11958.987379] sd 0:0:0:0: [sda] 488397168 512-byte hardware sectors (250059 MB)
Nov 21 17:46:05 x-desktop kernel: [11958.987513] sd 0:0:0:0: [sda] Write Protect is off
Nov 21 17:46:05 x-desktop kernel: [11959.007914] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA

So my hardware seems to have a bug. :/ Anything I can do about it? My hardware seems to have even more BIOS bugs: Bug 274995 for example. (Could this have to do with it?)

Thanks.

goto (gotolaunchpad) on 2008-11-26
Changed in linux:
status: New → Confirmed
sdedgar (ubuntu-tricho) wrote :

I can also confirm this bug. Gigabyte GA-EP45-DS5 onto Western Digital WD3200AAJS Caviar SE SATA disk. Trying to install Ubuntu Server 8.10. Install runs ok for me, it's only when trying to boot from the hard disk for the first time I get these errors. I then get "Gave up waiting for root device" and "ALERT! /dev/disk/by-uuid/xxxxxx does not exist. Dropping to a shell" before being dropped into a busybox prompt. The directory /dev/disk/by-uuid doesn't exist when I first get into the busybox shell, however after a few minutes and a few more "softreset fail" messages, it does eventually appear.

Note - I do get the actual uuid given in that last error, just didn't see any value in copying it into here.

I got the system up using the install disk rescue mode and manged to run an apt-get update and upgrade on the system, which put me to kernel 2.6.27-7.16, but that has made no difference to the problem.

goto (gotolaunchpad) wrote :

This bug seems to occur only on Gigabyte mainboards.

Jason Bodycott (jbodycott) wrote :

I'm getting a similar error (exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen) NOT on a Gigabyte board (Abit in my case). Only started under Intrepid and does not occur under 2.6.24-21.

Poru (poru) wrote :

Mine's not a Gigabyte motherboard either, it's an ASUS M3A-H/HDMI.

To install / boot on any motherboard displaying these messages;

BIOS: legacy ide mode - not ahci

For EP45-DQ6 - turn off SATA/IDE option

Add 'all_generic_ide' to the kernel-line in Grub.

This has been known to work for Ubuntu, Fedora & CentOS - which oddly enough are the only distributions I've come across (up to this point) that have the 'ata softreset failed' problem.

Hope it helps.

Kai F. Lahmann (kfl) wrote :

I also get the message here - AMD 780G chipset and a WD WD10EADS-00L5B1. Everythings boots fine afterwards and performance is also not affected, but the message looks scary.

tudor (tudor-gmx) wrote :

I get the message in jaunty, too, all_generic_ide does not help

goto (gotolaunchpad) wrote :

tudor:
which mainboard and which chipset do you have?
thanks!

Gp. (kylegp) wrote :

I've got the same problem with the DQ6.

I was hoping it would be fixed in jaunty, looks like I'm back to Windows :(

exactt (giesbert) wrote :

hi guys,

i also get this message now that i upgraded to 9.04 rc AMD64.

[ 2.304013] ata1: softreset failed (device not ready)
[ 3.284008] ata3: softreset failed (device not ready)

I have an ASUS M3A and an AMD Phenom X4 9350e.

exactt (giesbert) wrote :
rjr162 (ronrossman-mobile) wrote :

I am also getting this error out of no where. I upgraded the guts of an old computer I had, keeping only the case.

it has dual channel 2 x 2GB DDR2 OCZ ram, LiteON dvd+/-RW drive, Seagate 1.5TB SATA II hard drive, a Linksys WMP110 PCI card, and an Asus M4A78-E motherboard using the onboard HDMI for video out to TV with a Phenom II X4 3.0GB proc.

Everything started out fine, except I couldn't get get the audio out via the HDMI in 8.10 or 9.04, so I stuck XP on for the mean time. I noticed XP was locking up every now and then, and then it was locking up like crazy.

I went to put 8.10 back on, but using two different DVD drives, moving the HD to a different SATA port, and trying SATA/IDE mode, RAID (in RAID READY mode), and AHCI mode. They all are comming up "Softreset failed (device not ready)".

I'd love to figure this out, as on a semi-related note my fiancées dad's Athlon64 X2 with a SATA II HD running XP is doing the same random lock-ups, even after everything had been changed except the hard drive. I'm wondering if a flaw/bug in SATA II or NCQ is popping up

rjr162 wrote:

> I am also getting this error out of no where. I upgraded the guts of an
> old computer I had, keeping only the case.

> it has dual channel 2 x 2GB DDR2 OCZ ram, LiteON dvd+/-RW drive, Seagate
> 1.5TB SATA II hard drive, a Linksys WMP110 PCI card, and an Asus M4A78-E
> motherboard using the onboard HDMI for video out to TV with a Phenom II
> X4 3.0GB proc.

Are you bombing out during the install, or are you able to install on this
box, but drop to busybox at boot?

If you're bombing during the install, I found that on the machine where I
was having this problem, installing on less than 4 gig ram got through the
install and the ahci/noacpi hack at boot time got it going. I still see the
Softreset... message in the boot log, but there have been no performance
issues running on a RAID 10.

HTH,
 Kat

Poru (poru) wrote :

I reported in November that I also get these "Softreset failed (device not ready)" messages. Here are the specs of the system I see them on:

Ubuntu server 2.6.27-11 SMP.
AMD PHENOM™ X3 8750
4GB CORSAIR XMS2 800MHz
ASUS M3A-H HDMI
2x160GB SERIAL ATA II HARD DRIVE WITH 8MB CACHE (7,200rpm)
2x80GB SERIAL ATA II HARD DRIVE WITH 8MB CACHE (7,200rpm)

Sorry, without opening the computer up, I can't tell you what make the hard drives are. If someone knows a command that will provide me that info, I'd be happy to run it and tell you.

rjr162 (ronrossman-mobile) wrote :

"Are you bombing out during the install, or are you able to install on this
box, but drop to busybox at boot?

If you're bombing during the install, I found that on the machine where I
was having this problem, installing on less than 4 gig ram got through the
install and the ahci/noacpi hack at boot time got it going. I still see the
Softreset... message in the boot log, but there have been no performance
issues running on a RAID 10.

HTH,
 Kat"

It was during the initial install. At first I thought it was the linksys card, because it was giving me fits under windows (which would just randomly lock up).

I replaced the 1.5TB drive with two 500GB drives, and set them up in RAID 0 to see what that would do. I still got the error (after the menu where you first pick language and then the install option on the "Run live cd, install, etc" menu. But this time it only came up twice, very quickly, which I assume was once for each drive. It was maybe all of 4 seconds total before the actual install screen started booting. With the 1.5TB it showed the message atleast 3 or 4 times per install try, and the screen would take anywhere from 30 seconds to a minute or two to go away (if I hadn't given up and rebooted by then anyhow!)

I didn't try doing IDE mode with the 500GB's, only Raid 0. I may also try AHCI to see what happens there. I'm going to finish the install and see how it runs.

rjr162 (ronrossman-mobile) wrote :

Ok edit>>

I just hit "Forward" at the "Welcome ready to install" language selection screen and it froze up, so I'm unable to see if it's an Softreset error or something else, but I'm willing to bet it is the hard drive issue again :-/

rjr162 (ronrossman-mobile) wrote :

Argh sorry for the re-postings, I got it going again (still RAID 0 w/2 500GB WD drives). Two things I realized:

1> On Asus's website, it does list something about Seagate drives not showing during booting. Now my 1.5TB did show, but it mentions about some firmware change in their new drives can cause issues for SATA-II interfaces or something.

2> The bigger issue.. so the RAID 0 is working, but with the two SATA-II drives connected, and the raid constructed to be 1TB, when I get to the partition option in 9.04 it doesn't show the one TB RAID 0 setup, but it's detecting and showing *BOTH* 500 GB drives!

[x] Use the entire disk
.....[x] SCSI (0,0,0) (sda) - 500.1 GB ATA WDC etc....
.....[ ] SCSI (0,0,0) (sdb) - 500.1 GB ATA WDC etc...
[ ] Specify partitions manually (advanced)

----------------------------------------------------------------------------------

I'm guessing maybe the BIOS/Chipset/etc may have a flaw? Or Ubuntu is seeing right past the on board RAID controller somehow?!

I'm getting the soft reset error on startup only and on Jaunty only. I have an Acer Aspire 5515 laptop.

lspci:

00:12.0 SATA controller: ATI Technologies Inc SB600 Non-Raid-5 SATA
00:14.1 IDE interface: ATI Technologies Inc SB600 IDE

I don't know what model mobo I have. all_generic_ide does not work.

Oops forgot this:

jordanwb@jordanwb-laptop:~$ dmesg | grep reset
[ 2.976009] ata1: softreset failed (device not ready)
[ 3.944009] ata3: softreset failed (device not ready)

Pyoverdine (pyoverdine) wrote :

Hello,
I've got the same error.
Mother card is MS7501.
If you need details, tell me...
Laurent

----- Original Message -----
From: "rjr162" <email address hidden>
To: <email address hidden>
Sent: Sunday, April 19, 2009 6:35 PM
Subject: [Bug 285392] Re: Softreset failed (device not ready)

Argh sorry for the re-postings, I got it going again (still RAID 0 w/2
500GB WD drives). Two things I realized:

1> On Asus's website, it does list something about Seagate drives not
showing during booting. Now my 1.5TB did show, but it mentions about
some firmware change in their new drives can cause issues for SATA-II
interfaces or something.

2> The bigger issue.. so the RAID 0 is working, but with the two SATA-II
drives connected, and the raid constructed to be 1TB, when I get to the
partition option in 9.04 it doesn't show the one TB RAID 0 setup, but
it's detecting and showing *BOTH* 500 GB drives!

[x] Use the entire disk
.....[x] SCSI (0,0,0) (sda) - 500.1 GB ATA WDC etc....
.....[ ] SCSI (0,0,0) (sdb) - 500.1 GB ATA WDC etc...
[ ] Specify partitions manually (advanced)

----------------------------------------------------------------------------------

I'm guessing maybe the BIOS/Chipset/etc may have a flaw? Or Ubuntu is
seeing right past the on board RAID controller somehow?!

> end quoted segment <

Hmm... that one I'm not sure about, since I'm using software RAID on my box.
I know that when I built the RAID manually, I did have to go in to the
partition screen and select the RAID option for the installer to start the
array and let me partition from the array and not just from the drives. I'm
not sure if you need to do the same thing with hardware RAID. (IIRC, I had
to do that both for the RAID array and for the LVM partitions that I'd built
manually outside the installer.)

Have you tried popping out some of the RAM to see if that workaround helped
for you?

Kat

rjr162 (ronrossman-mobile) wrote :
Download full text (4.3 KiB)

I'm going to do that when I get home. I found another post saying the regular ubuntu desktop iso won't install on raid you have to use the alternate iso image... Going to try that as well
Ron
Sent from my Verizon Wireless BlackBerry

-----Original Message-----
From: Kat <email address hidden>

Date: Mon, 20 Apr 2009 17:50:54
To: <email address hidden>
Subject: Re: [Bug 285392] Re: Softreset failed (device not ready)

----- Original Message -----
From: "rjr162" <email address hidden>
To: <email address hidden>
Sent: Sunday, April 19, 2009 6:35 PM
Subject: [Bug 285392] Re: Softreset failed (device not ready)

Argh sorry for the re-postings, I got it going again (still RAID 0 w/2
500GB WD drives). Two things I realized:

1> On Asus's website, it does list something about Seagate drives not
showing during booting. Now my 1.5TB did show, but it mentions about
some firmware change in their new drives can cause issues for SATA-II
interfaces or something.

2> The bigger issue.. so the RAID 0 is working, but with the two SATA-II
drives connected, and the raid constructed to be 1TB, when I get to the
partition option in 9.04 it doesn't show the one TB RAID 0 setup, but
it's detecting and showing *BOTH* 500 GB drives!

[x] Use the entire disk
.....[x] SCSI (0,0,0) (sda) - 500.1 GB ATA WDC etc....
.....[ ] SCSI (0,0,0) (sdb) - 500.1 GB ATA WDC etc...
[ ] Specify partitions manually (advanced)

----------------------------------------------------------------------------------

I'm guessing maybe the BIOS/Chipset/etc may have a flaw? Or Ubuntu is
seeing right past the on board RAID controller somehow?!

> end quoted segment <

Hmm... that one I'm not sure about, since I'm using software RAID on my box.
I know that when I built the RAID manually, I did have to go in to the
partition screen and select the RAID option for the installer to start the
array and let me partition from the array and not just from the drives. I'm
not sure if you need to do the same thing with hardware RAID. (IIRC, I had
to do that both for the RAID array and for the LVM partitions that I'd built
manually outside the installer.)

Have you tried popping out some of the RAM to see if that workaround helped
for you?

Kat

--
Softreset failed (device not ready)
https://bugs.launchpad.net/bugs/285392
You received this bug notification because you are a direct subscriber
of the bug.

Status in “linux” source package in Ubuntu: Confirmed
Status in “linux” source package in Fedora: New

Bug description:
INSTALLATION problem for Hardy and IBEX as well.
During the install process I got the next messages [during an extremely slow installation process]
Hardy producess similar messages (30 min)
Ibex stops,

Let me lists messages when Ibex install stops
I got the mesages below

BusyBox V1.10.2 (Ubuntu 1:1.10.2-1 ubuntu6) built-in shell (ash)

[66.064009] ata7:Softreset failed (device not ready)
[76.084008] ata8:Softreset failed (device not ready)
[86.088009] ata8:Softreset failed (device not ready)
[121.128011] ata8:Softreset failed (device not ready)
[126.148007] a...

Read more...

goto (gotolaunchpad) wrote :

Since this seems to affect quite a few people, let's report this upstream. I have very little time now, but if I install Jaunty if it's ready and the error is still there, I'm going to report this. The linux guys should be able to give out a statement whats going on I think.

If you're going to install Jaunty don't use the Release Candidate. The installer kept failing on me because it couldn't copy some CUPS related xml file.

rjr162 (ronrossman-mobile) wrote :

Updated pulling ram to 2 gigs didn't help. I also had to use alternate iso 9.04 ubuntu desktop to get raid configured and installed as a raid 0, where as reg desktop ubuntu (8.10 and 9.04) and win xp see the two drives as two separate entities.
Ron
Sent from my Verizon Wireless BlackBerry

-----Original Message-----
From: goto <email address hidden>

Date: Mon, 20 Apr 2009 20:29:27
To: <email address hidden>
Subject: [Bug 285392] Re: Softreset failed (device not ready)

Since this seems to affect quite a few people, let's report this
upstream. I have very little time now, but if I install Jaunty if it's
ready and the error is still there, I'm going to report this. The linux
guys should be able to give out a statement whats going on I think.

--
Softreset failed (device not ready)
https://bugs.launchpad.net/bugs/285392
You received this bug notification because you are a direct subscriber
of the bug.

Status in “linux” source package in Ubuntu: Confirmed
Status in “linux” source package in Fedora: New

Bug description:
INSTALLATION problem for Hardy and IBEX as well.
During the install process I got the next messages [during an extremely slow installation process]
Hardy producess similar messages (30 min)
Ibex stops,

Let me lists messages when Ibex install stops
I got the mesages below

BusyBox V1.10.2 (Ubuntu 1:1.10.2-1 ubuntu6) built-in shell (ash)

[66.064009] ata7:Softreset failed (device not ready)
[76.084008] ata8:Softreset failed (device not ready)
[86.088009] ata8:Softreset failed (device not ready)
[121.128011] ata8:Softreset failed (device not ready)
[126.148007] ata8:Softreset failed (device not ready)

What is the problem rally here with the install DVD? (regardless is it Hardy or Intrepid the same messages I got)

GA-EP45-DQ6 motherboard (http://www.gigabyte.com.tw/Products/Motherboard/Products_Overview.aspx?ProductID=2831)

[ The South Bridge: 6 x SATA 3Gb/s connectors (SATAII0, SATAII1, SATAII2, SATAII3, SATAII4, SATAII5) supporting up to 6 SATA 3Gb/s devices are connected but
I did not connected any sata cables to 2 x SiI5723 chips : -4 x SATA 3Gb/s connectors (GS0-Source, GS1, GS2-Source, GS3) supporting up to 4 SATA 3Gb/s devices - Support for Smart Backup (RAID 1) ]

I suspect that messages comes around the Jmicron & Sis5723 chips. Is it driver problem, not providing during the install ?
See schematic http://www.hardwarezone.com/img/data/articles/2008/2559/dq6-sketch.jpg
Or more info on the motherboard at http://forums.tweaktown.com/f69/ep45-ds5-dq6-27384/

How to provide driver, if it is so? (There is no Ubuntu driver at ftp://driver.jmicron.com.tw/jmb36x/? [there is driver for e.g. fedora but none for ubuntu])
How to continue the installation, skip searching the ATA drivers for not used chip, get able to install the Ibex?

Poru (poru) wrote :

For info, my two pairs of hard disks are each set up as RAID 1 using software raid.

I have just upgraded to Jaunty 9.04 and I get the same error not too happy did not get the error in 8.10 I maybe regretting the update.
ata1: failed due to HW bug

$ lspci
00:00.0 Host bridge: ATI Technologies Inc RD580 [CrossFire Xpress 3200] Chipset Host Bridge
00:02.0 PCI bridge: ATI Technologies Inc RS480 PCI-X Root Port
00:06.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:12.0 SATA controller: ATI Technologies Inc SB600 Non-Raid-5 SATA
00:13.0 USB Controller: ATI Technologies Inc SB600 USB (OHCI0)
00:13.1 USB Controller: ATI Technologies Inc SB600 USB (OHCI1)
00:13.2 USB Controller: ATI Technologies Inc SB600 USB (OHCI2)
00:13.3 USB Controller: ATI Technologies Inc SB600 USB (OHCI3)
00:13.4 USB Controller: ATI Technologies Inc SB600 USB (OHCI4)
00:13.5 USB Controller: ATI Technologies Inc SB600 USB Controller (EHCI)
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 14)
00:14.1 IDE interface: ATI Technologies Inc SB600 IDE
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA)
00:14.3 ISA bridge: ATI Technologies Inc SB600 PCI to LPC Bridge
00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:00.0 VGA compatible controller: nVidia Corporation GeForce 8600 GT (rev a1)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)

rjr162 (ronrossman-mobile) wrote :
Download full text (4.2 KiB)

I was getting the device not ready in 8.10 and 9.04. My temp solution was to install onto an ide drive and use the sata raid for storage etc for now.
Ron
Sent from my Verizon Wireless BlackBerry

-----Original Message-----
From: revelationman <email address hidden>

Date: Thu, 23 Apr 2009 19:14:32
To: <email address hidden>
Subject: [Bug 285392] Re: Softreset failed (device not ready)

I have just upgraded to Jaunty 9.04 and I get the same error not too happy did not get the error in 8.10 I maybe regretting the update.
ata1: failed due to HW bug

$ lspci
00:00.0 Host bridge: ATI Technologies Inc RD580 [CrossFire Xpress 3200] Chipset Host Bridge
00:02.0 PCI bridge: ATI Technologies Inc RS480 PCI-X Root Port
00:06.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:12.0 SATA controller: ATI Technologies Inc SB600 Non-Raid-5 SATA
00:13.0 USB Controller: ATI Technologies Inc SB600 USB (OHCI0)
00:13.1 USB Controller: ATI Technologies Inc SB600 USB (OHCI1)
00:13.2 USB Controller: ATI Technologies Inc SB600 USB (OHCI2)
00:13.3 USB Controller: ATI Technologies Inc SB600 USB (OHCI3)
00:13.4 USB Controller: ATI Technologies Inc SB600 USB (OHCI4)
00:13.5 USB Controller: ATI Technologies Inc SB600 USB Controller (EHCI)
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 14)
00:14.1 IDE interface: ATI Technologies Inc SB600 IDE
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA)
00:14.3 ISA bridge: ATI Technologies Inc SB600 PCI to LPC Bridge
00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:00.0 VGA compatible controller: nVidia Corporation GeForce 8600 GT (rev a1)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)

--
Softreset failed (device not ready)
https://bugs.launchpad.net/bugs/285392
You received this bug notification because you are a direct subscriber
of the bug.

Status in “linux” source package in Ubuntu: Confirmed
Status in “linux” source package in Fedora: New

Bug description:
INSTALLATION problem for Hardy and IBEX as well.
During the install process I got the next messages [during an extremely slow installation process]
Hardy producess similar messages (30 min)
Ibex stops,

Let me lists messages when Ibex install stops
I got the mesages below

BusyBox V1.10.2 (Ubuntu 1:1.10.2-1 ubuntu6) built-in shell (ash)

[66.064009] ata7:Softreset failed (device not ready)
[76.084008] ata8:Softreset failed (device not ready)
[86.088009] ata8:Softreset failed (device not ready)
[121.128011] ata8:Softreset failed (device not ready)
[126.148007] ata8:Softreset failed (device not ready)

What is the problem rally here with the install DVD? (regardless is it Hardy or Intrepid the same mess...

Read more...

softreset failed (device not ready)

Sorry I am providing more information I am hoping I do not have to reinstall there is loads of files on this PC now and to be honest it will be a pain in the butt to redo the system. I hope there is a fix for it

 1.103038] aer 0000:00:06.0:pcie01: service driver aer loaded
[ 1.103045] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[ 1.103055] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[ 1.103167] input: Power Button (FF) as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
[ 1.103169] ACPI: Power Button (FF) [PWRF]
[ 1.103212] input: Power Button (CM) as /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input1
[ 1.103220] ACPI: Power Button (CM) [PWRB]
[ 1.103402] ACPI: duty_cycle spans bit 4
[ 1.103428] processor ACPI_CPU:00: registered as cooling_device0
[ 1.103455] processor ACPI_CPU:01: registered as cooling_device1
[ 1.105991] isapnp: Scanning for PnP cards...
[ 1.460139] isapnp: No Plug & Play device found
[ 1.469190] Serial: 8250/16550 driver4 ports, IRQ sharing enabled
[ 1.469306] serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[ 1.469580] 00:05: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[ 1.470214] brd: module loaded
[ 1.470457] loop: module loaded
[ 1.470510] Fixed MDIO Bus: probed
[ 1.470515] PPP generic driver version 2.4.2
[ 1.470562] input: Macintosh mouse button emulation as /devices/virtual/input/input2
[ 1.470585] Driver 'sd' needs updating - please use bus_type methods
[ 1.470592] Driver 'sr' needs updating - please use bus_type methods
[ 1.470621] ahci 0000:00:12.0: version 3.0
[ 1.470639] ahci 0000:00:12.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
[ 1.470667] ahci 0000:00:12.0: controller can't do 64bit DMA, forcing 32bit
[ 1.470757] ahci 0000:00:12.0: AHCI 0001.0100 32 slots 4 ports 3 Gbps 0xf impl SATA mode
[ 1.470760] ahci 0000:00:12.0: flags: ncq sntf ilck pm led clo pmp pio slum part
[ 1.471207] scsi0 : ahci
[ 1.471332] scsi1 : ahci
[ 1.471397] scsi2 : ahci
[ 1.471468] scsi3 : ahci
[ 1.471546] ata1: SATA max UDMA/133 abar m1024@0xf9fff800 port 0xf9fff900 irq 22
[ 1.471549] ata2: SATA max UDMA/133 abar m1024@0xf9fff800 port 0xf9fff980 irq 22
[ 1.471552] ata3: SATA max UDMA/133 abar m1024@0xf9fff800 port 0xf9fffa00 irq 22
[ 1.471556] ata4: SATA max UDMA/133 abar m1024@0xf9fff800 port 0xf9fffa80 irq 22
[ 1.952018] ata1: softreset failed (device not ready)
[ 1.952079] ata1: failed due to HW bug, retry pmp=0
[ 2.116033] ata1: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
[ 2.155945] ata1.00: ATA-7: ST3320620AS, 3.AAK, max UDMA/133
[ 2.155948] ata1.00: 625142448 sectors, multi 16: LBA48 NCQ (depth 31/32)
[ 2.155963] ata1.00: SB600 AHCI: limiting to 255 sectors per cmd
[ 2.214260] ata1.00: SB600 AHCI: limiting to 255 sectors per cmd
[ 2.214263] ata1.00: configured for UDMA/133

I will add this I did not have this error when I was running 8.10 the upgrade was done within 8.10 and it was not the release or RC1

I regret this upgrade and by the look of it this error is effecting many user's and other distributions besides Ubuntu.

I will hope the Bug team addresses this issue with some statement on what will be done, I am quite angry over this. I do believe this is a kernel issue if so it seems that not enough testing was done.

This is a MSI K9N Motherboard for more information.

I am going try a fresh clean install and see what happens if I still get the error then obviously there is a serious bug in the kernel

I will keep you posted

Well I did a complete fresh install even using ext 4 I am still getting the same error message so obviously there is some issue with this kernel

hope this helps

RecceDG (reccedg) wrote :
Download full text (11.9 KiB)

Me too.

Tried installing Fedora 11 Beta, then Fedora 10 (Fedora is my usual distribution) and had NO luck whatsoever. Installed the latest Ubuntu out of sheer frustration and it Just Worked - except that when Grub boots, it'll hang for about 30 seconds, flash the "soft rest failed" messages for both drives, then boot. So far, no other issues.

I have 2 WD 1TB Caviar Black SATA drives. They are currently partitioned identically with a 200 Mb ext2 partition (/boot and /boot 2) a 2000 Mb swap partition, a 200 Gb partition for / (and /sysback) and a partition taking up the rest of the drive for /home (and /homeback)

My intent is to set up the second drive as software RAID 5 for the /home and /root partitions, but the Ubuntu installer did not provide that as an option the way Fedora does.

As an aside, if anybody can provide a pointer on how to migrate my current setup to software RAID 5 on the / and /home partitions, that would be great....

Back to the original problem - I tried switching the SATA mode in the BIOS from IDE to AHCI and that made no difference.

Motherboard is a Gigabyte GA-MA780G-UD3H
Processor is a Phenom 2 950 3.0 Ghz (and is not overclocked)

$lspci
00:00.0 Host bridge: Advanced Micro Devices [AMD] RS780 Host Bridge
00:01.0 PCI bridge: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (int gfx)
00:0a.0 PCI bridge: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (PCIE port 5)
00:11.0 SATA controller: ATI Technologies Inc SB700/SB800 SATA Controller [AHCI mode]
00:12.0 USB Controller: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller
00:12.1 USB Controller: ATI Technologies Inc SB700 USB OHCI1 Controller
00:12.2 USB Controller: ATI Technologies Inc SB700/SB800 USB EHCI Controller
00:13.0 USB Controller: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller
00:13.1 USB Controller: ATI Technologies Inc SB700 USB OHCI1 Controller
00:13.2 USB Controller: ATI Technologies Inc SB700/SB800 USB EHCI Controller
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 3a)
00:14.1 IDE interface: ATI Technologies Inc SB700/SB800 IDE Controller
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA)
00:14.3 ISA bridge: ATI Technologies Inc SB700/SB800 LPC host controller
00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge
00:14.5 USB Controller: ATI Technologies Inc SB700/SB800 USB OHCI2 Controller
00:18.0 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] HyperTransport Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Miscellaneous Control
00:18.4 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Link Control
01:05.0 VGA compatible controller: ATI Technologies Inc Radeon HD 3200 Graphics
01:05.1 Audio device: ATI Technologies Inc RS780 Azalia controller
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
...

rjr162 (ronrossman-mobile) wrote :
Download full text (14.4 KiB)

Did you the alternate iso for ubuntu? I found out the desktop doesn't work with raid on install.
Sent from my Verizon Wireless BlackBerry

-----Original Message-----
From: RecceDG <email address hidden>

Date: Sat, 25 Apr 2009 02:44:02
To: <email address hidden>
Subject: [Bug 285392] Re: Softreset failed (device not ready)

Me too.

Tried installing Fedora 11 Beta, then Fedora 10 (Fedora is my usual
distribution) and had NO luck whatsoever. Installed the latest Ubuntu
out of sheer frustration and it Just Worked - except that when Grub
boots, it'll hang for about 30 seconds, flash the "soft rest failed"
messages for both drives, then boot. So far, no other issues.

I have 2 WD 1TB Caviar Black SATA drives. They are currently partitioned
identically with a 200 Mb ext2 partition (/boot and /boot 2) a 2000 Mb
swap partition, a 200 Gb partition for / (and /sysback) and a partition
taking up the rest of the drive for /home (and /homeback)

My intent is to set up the second drive as software RAID 5 for the /home
and /root partitions, but the Ubuntu installer did not provide that as
an option the way Fedora does.

As an aside, if anybody can provide a pointer on how to migrate my
current setup to software RAID 5 on the / and /home partitions, that
would be great....

Back to the original problem - I tried switching the SATA mode in the
BIOS from IDE to AHCI and that made no difference.

Motherboard is a Gigabyte GA-MA780G-UD3H
Processor is a Phenom 2 950 3.0 Ghz (and is not overclocked)

$lspci
00:00.0 Host bridge: Advanced Micro Devices [AMD] RS780 Host Bridge
00:01.0 PCI bridge: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (int gfx)
00:0a.0 PCI bridge: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (PCIE port 5)
00:11.0 SATA controller: ATI Technologies Inc SB700/SB800 SATA Controller [AHCI mode]
00:12.0 USB Controller: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller
00:12.1 USB Controller: ATI Technologies Inc SB700 USB OHCI1 Controller
00:12.2 USB Controller: ATI Technologies Inc SB700/SB800 USB EHCI Controller
00:13.0 USB Controller: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller
00:13.1 USB Controller: ATI Technologies Inc SB700 USB OHCI1 Controller
00:13.2 USB Controller: ATI Technologies Inc SB700/SB800 USB EHCI Controller
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 3a)
00:14.1 IDE interface: ATI Technologies Inc SB700/SB800 IDE Controller
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA)
00:14.3 ISA bridge: ATI Technologies Inc SB700/SB800 LPC host controller
00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge
00:14.5 USB Controller: ATI Technologies Inc SB700/SB800 USB OHCI2 Controller
00:18.0 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] HyperTransport Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Miscel...

goto (gotolaunchpad) on 2009-05-11
Changed in linux (Fedora):
importance: Undecided → Unknown
status: New → Unknown
Changed in linux (Fedora):
status: Unknown → Confirmed
Changed in linux (Red Flag Midinux):
status: Unknown → Confirmed
Oz (oz) on 2009-05-25
Changed in linux (Ubuntu):
assignee: nobody → gnulogic (gnulogic)
status: Confirmed → In Progress
assignee: gnulogic (gnulogic) → nobody
status: In Progress → Confirmed
Changed in linux (Fedora):
status: Confirmed → Unknown
tags: added: apport-collected
81 comments hidden view all 159 comments
Shaved Wookie (shavedwookie) wrote :

Getting this on Kubuntu Karmic AMD64 Beta along with occasional hangs. When it hangs nothing but F-lock works. Not even alt+sysrq+rseinub.

I have an IDE drive and DVD RW drive and a SATA 1.5gig Seagate drive.

Shaved Wookie (shavedwookie) wrote :

For the record I'm getting this after GRUB but before the login screen, thus why it's being tagged as ubuntu-boot-experience as per Jono's request:
http://www.jonobacon.org/2009/10/02/ubuntu-9-10-karmic-koala-beta-released-testers-needed/

tags: added: karmic ubuntu-boot-experience
Doki (lkishalmi) wrote :

My comment on SATA DVD writing issues seems to bee invalid. I've compiled a new kernel for myself without SATA PMP. The softreset issue has gone, but I had to replace the SATA cable to DVD and now it works.

Also I still experience random slowdowns but it happens only when I play some audio.
Now I'm testing a separate audio card.

Shaved Wookie (shavedwookie) wrote :

For what it's worth... a video showing my system from GRUB to KDE splash with kernel errors inbetween:
http://www.youtube.com/watch?v=vQ2nm5C_iy4

Since reinstalling my system again, I'm not getting the hangs any more, but everything else is still the same. (The video was taken after and is current)

Robbie Williamson (robbiew) wrote :

@Shaved Wookie: So you are seeing messages from two separate sources.

The first set (with the [####.##]) are from the kernel, and I suggest opening a bug for each message against the "linux" package and tag ubuntu-boot-experience. I can then target them to Karmic.

The second set are simply console messages from various services started at boot. Following the workaround instructions here:
https://bugs.launchpad.net/ubuntu/+bug/438335/comments/13
should remove those. We are currently working on a fix, which may be redirecting console messages to tty6, instead of tty1, but there are certain installation configurations that won't support this and we need a plan to support them.

tags: removed: ubuntu-boot-experience
Shaved Wookie (shavedwookie) wrote :

Thanks Robbie,

I've filed bugs against those two messages at:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/444228 (softreset failed) and
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/444235 (pixx4_smbus conflicts with region)

I apport-bug'ed them both and tagged them under kubuntu, karmic and ubuntu-boot-experience along with the automatically added tags of apport-bug and amd64

Let me know if I can help with any further info.

PamDa (pamda) on 2009-10-07
description: updated
Marv Graham (marv) on 2009-10-07
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
status: Fix Committed → Confirmed
Doki (lkishalmi) wrote :

I'm running my system without the onboard audio card and PMP disabled for several days no. I experienced no lockups so far which I did once per every two hours. while working and listening music. So this is a complex issue with AMD onboard IO chipset and linux drivers.

Harry (harry33) wrote :

OK now these kernel messages have been masket (kernel update of linux-meta 2.6.31.13.24) by elevating the trigger to the level 2 (only emergency messages will appear).
This does not, however, mean that the original cause for the messages are fixed now.

Changed in linux (Fedora):
status: Unknown → Fix Released
Gp. (kylegp) wrote :

Hi,
When will this issue be fixed?
I want to start running Linux again :(

Oops, made a mistake when marking it as fixed. My apologize.

Jalsot (jalsot) wrote :

Hello,
I had changed my motherboard (my old one had failed) to Gigabyte GA-MA78GM-UD2H (BIOS F8) and started to get these lockup problems. I see this issue is in Fixed state, could anybody show the solution?
It is very annoying that I cannot use the system for some minutes.
I was thinking about the upgrade to Karmic RC, but as I've read, it has the same issue so probably I won't risk the upgrade yet.

# lspci
00:00.0 Host bridge: Advanced Micro Devices [AMD] RS780 Host Bridge
00:01.0 PCI bridge: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (int gfx)
00:0a.0 PCI bridge: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (PCIE port 5)
00:11.0 SATA controller: ATI Technologies Inc SB700/SB800 SATA Controller [AHCI mode]
00:12.0 USB Controller: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller
00:12.1 USB Controller: ATI Technologies Inc SB700 USB OHCI1 Controller
00:12.2 USB Controller: ATI Technologies Inc SB700/SB800 USB EHCI Controller
00:13.0 USB Controller: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller
00:13.1 USB Controller: ATI Technologies Inc SB700 USB OHCI1 Controller
00:13.2 USB Controller: ATI Technologies Inc SB700/SB800 USB EHCI Controller
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 3a)
00:14.1 IDE interface: ATI Technologies Inc SB700/SB800 IDE Controller
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA)
00:14.3 ISA bridge: ATI Technologies Inc SB700/SB800 LPC host controller
00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge
00:14.5 USB Controller: ATI Technologies Inc SB700/SB800 USB OHCI2 Controller
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:05.0 VGA compatible controller: ATI Technologies Inc Radeon HD 3200 Graphics
01:05.1 Audio device: ATI Technologies Inc RS780 Azalia controller
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
03:0e.0 FireWire (IEEE 1394): Texas Instruments TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link)

Linux tomi-desktop 2.6.28-16-generic #55-Ubuntu SMP Tue Oct 20 19:48:32 UTC 2009 x86_64 GNU/Linux

Architecture: amd64
DistroRelease: Ubuntu 9.04
HibernationDevice: RESUME=UUID=56f8122f-59d0-4d49-b413-1371a2cb8cfa
MachineType: Gigabyte Technology Co., Ltd. GA-MA78GM-UD2H
NonfreeKernelModules: fglrx
Package: linux-image-2.6.28-16-generic 2.6.28-16.55
PackageArchitecture: amd64
ProcCmdLine: root=UUID=8fbd2c6e-37df-46f8-a8a4-61072bfecb6a ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, no user)
 LANG=hu_HU.UTF-8
ProcVersionSignature: Ubuntu 2.6.28-16.55-generic
Uname: Linux 2.6.28-16-generic x86_64
UserGroups: pulse

Jalsot (jalsot) wrote :

oops, apport-collect has failed (probably not finished completely) with this:
...
Downloading bug...
Bug title: Softreset failed (device not ready)
Collecting apport information for source package linux-image-2.6.28-16-generic...
Uploading additional information to Launchpad bug...
   short text data...
   attachment: BootDmesg.gz...
Traceback (most recent call last):
  File "/usr/bin/apport-collect", line 173, in <module>
    upload(report, bug)
  File "/usr/bin/apport-collect", line 97, in upload
    filename=part.get_filename(), is_patch=False)
  File "/usr/lib/python2.6/dist-packages/launchpadlib/resource.py", line 337, in __call__
    args[key] = simplejson.dumps(value, cls=DatetimeJSONEncoder)
  File "/var/lib/python-support/python2.6/simplejson/__init__.py", line 243, in dumps
    **kw).encode(obj)
  File "/var/lib/python-support/python2.6/simplejson/encoder.py", line 360, in encode
    return encode_basestring_ascii(o)
UnicodeDecodeError: 'utf8' codec can't decode byte 0x8b in position 1: unexpected code byte

Marat (mer-29) wrote :

I have an error message like this:
dmesg|grep soft
[ 1.352016] ata1: softreset failed (device not ready)
[ 306.004014] ata1: softreset failed (device not ready)
[11885.728014] ata1: softreset failed (device not ready)
[16652.908014] ata1: softreset failed (device not ready)

May be it is not a problem, but I use suspending to RAM very often. I see these messages on waking up and sometimes, my notebook does not wake up. I think it is because of these errors. When my system tries to wake up, it can be kernel panic with message like this: attempted to kill init. Sometimes I see my desktop and mouse cursor, but I can't run any application. I saw IO errors, may be my system tries to read information from hard disk. I hoped it would be fixed in the Karmic, but it was not. How can I take my system stable? What should I do?

p.s. Sorry for bad english

qualitesys (d-cr) wrote :

I have the same error Ubuntu 9.10 AMD 64 bits on AMD ATHLONx2 processor
I have 3 disks : 2 for windows vista and 1 for ubuntu

on linux 2.6.28-16-generic : softreset failed on ata1 and ata3 and boot goes on fine. The system runs fine
on linux 2.6.31-14-generic : boot loops on "ata1.00 failed to IDENTIFY, I/O error err-mask = 0x4
         system never starts, endless
on linux 2.6.31-15-generic : same as 2.6.31-14-generic

So I am stuck on 2.6.28-16-generic version
Seems to be linked to the 2 non linux boot drives ??
Could you help me ??
I need to follow the upgrades of ubuntu

Thanks

The GuiGuy (linux-finalfiler) wrote :

qualitesys, I had to turn AHCI off (BIOS) to avoid a lock up on boot.

burkaygenc (burkaygenc) wrote :

I have a solution for this bug, not a good one though.

I had two harddisks. One connected on SATA and hosting my Ubuntu, the other connected on IDE and hosting a windows os. The windows disk was recently producing bad vibrations (literally), so I had to remove it to keep my sanity. And tata! problem gone. Now my Ubuntu boots lightning fast without these softreset failed messages. By the way, I also have a DVD Writer on the same IDE cable which is STILL connected. That doesn't create any trouble though. It was the IDE hdd with windows on it that caused the trouble. This is not really a solution, but in case you really want to go back to a fast Ubuntu boot, you may have to sacrifice that other disk you have.

Shaved Wookie (shavedwookie) wrote :

Interesting.

I have a similar setup with 1 sata drive and 1 IDE. I wonder if that could be significant. Mine has Kubuntu and Windows both on the IDE drive though, so no chance of removing it. :)

qualitesys (d-cr) wrote :

Thanks "The Guiguy", "burkaygenc"
I can't find how to switch ACI off. Any way it would be nice to keep BIOS config unchanged since I have to boot either under Ubuntu and Vista. By the way it seems that the HDD have little troubles because on each alternate boot, the system (Ubuntu or Vista) perform an autocheck of HDD.
I think that in Ubuntu 8.04 the "Softreset failed (device not ready)" didn't appear.
Very strange!! Still very annoying and a blocking bug for 2.6.31 version of Ubuntu!!

Changed in linux (Ubuntu):
assignee: nobody → Dmitry Ledyaev (it-driada-wine)
KurtJ (kurtjaeke) wrote :

As of now, I have tried these combinations of kernel boot parameters:
"acpi=off": bug occurs after 40 hours of operation
"acpi=off noapic": bug occurs within the first 10 minutes of operation
"pci=nomsi": bug occurs within the first 10 minutes of operation

Strange enough, this only happens on the second HDD attached to the controller, the first runs flawlessly.

My mainboard is a Supermicro H8DI3+/i+/L+(-F), with a SB700/800 SATA controller:
00:11.0 SATA controller: ATI Technologies Inc SB700/SB800 SATA Controller [AHCI mode] (prog-if 01 [AHCI 1.0])
 Subsystem: ATI Technologies Inc SB700/SB800 SATA Controller [AHCI mode]
 Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 10
 I/O ports at c000 [size=8]
 I/O ports at b000 [size=4]
 I/O ports at a000 [size=8]
 I/O ports at 9000 [size=4]
 I/O ports at 8000 [size=16]
 Memory at fdcff800 (32-bit, non-prefetchable) [size=1K]
 Capabilities: [60] Power Management version 2
 Capabilities: [70] SATA HBA <?>
 Kernel driver in use: ahci

So this seems to be a kernel issue. Is this already being pushed upstream?

qualitesys (d-cr) wrote :

Ubuntu 2.6.31.17 boots fine

Here I have the same Problem with a LG BH08LS20 (Firmware 2.0).

I use karmic and it needs long time to boot. and after i reboot it hungs at ahci bios. Then i have do pull the power plug to get it to boot.

I have all updates since yesterday.

RecceDG (reccedg) wrote :

Just upgraded to Karmic and problem remains exactly as before.

DG

RecceDG (reccedg) wrote :

uname -v -r
2.6.31-20-generic #57-Ubuntu SMP Mon Feb 8 09:05:19 UTC 2010

dmesg | grep ata
[ 0.360841] libata version 3.00 loaded.
[ 64.386136] ata1: SATA max UDMA/133 irq_stat 0x00400000, PHY RDY changed
[ 64.386139] ata2: SATA max UDMA/133 abar m1024@0xfe02f000 port 0xfe02f180 irq 22
[ 64.386142] ata3: SATA max UDMA/133 abar m1024@0xfe02f000 port 0xfe02f200 irq 22
[ 64.386145] ata4: SATA max UDMA/133 abar m1024@0xfe02f000 port 0xfe02f280 irq 22
[ 64.386148] ata5: SATA max UDMA/133 abar m1024@0xfe02f000 port 0xfe02f300 irq 22
[ 64.386151] ata6: SATA max UDMA/133 abar m1024@0xfe02f000 port 0xfe02f380 irq 22
[ 64.386331] pata_atiixp 0000:00:14.1: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 64.386417] scsi6 : pata_atiixp
[ 64.386459] scsi7 : pata_atiixp
[ 64.387124] ata7: PATA max UDMA/100 cmd 0x1f0 ctl 0x3f6 bmdma 0xfa00 irq 14
[ 64.387126] ata8: PATA max UDMA/100 cmd 0x170 ctl 0x376 bmdma 0xfa08 irq 15
[ 64.556810] ata7.00: ATAPI: SONY DVD RW DRU-810A, 1.0e, max UDMA/33
[ 64.576594] ata7.01: HPA unlocked: 490232639 -> 490234752, native 490234752
[ 64.576601] ata7.01: ATA-7: Maxtor 6B250R0, BAH41BY0, max UDMA/133
[ 64.576603] ata7.01: 490234752 sectors, multi 16: LBA48
[ 64.593844] ata7.00: configured for UDMA/33
[ 64.610235] ata7.01: configured for UDMA/100
[ 64.704161] ata3: SATA link down (SStatus 0 SControl 300)
[ 64.704188] ata6: SATA link down (SStatus 0 SControl 300)
[ 64.704213] ata5: SATA link down (SStatus 0 SControl 300)
[ 64.704256] ata4: SATA link down (SStatus 0 SControl 300)
[ 64.868129] ata2: softreset failed (device not ready)
[ 64.868132] ata2: applying SB600 PMP SRST workaround and retrying
[ 65.032143] ata2: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[ 65.033153] ata2.00: ATA-8: WDC WD1001FALS-00J7B0, 05.00K05, max UDMA/133
[ 65.033155] ata2.00: 1953525168 sectors, multi 0: LBA48 NCQ (depth 31/32)
[ 65.034958] ata2.00: configured for UDMA/133
[ 65.272147] ata1: softreset failed (device not ready)
[ 65.272149] ata1: applying SB600 PMP SRST workaround and retrying
[ 65.436145] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[ 65.437083] ata1.00: ATA-8: WDC WD1001FALS-00J7B0, 05.00K05, max UDMA/133
[ 65.437085] ata1.00: 1953525168 sectors, multi 0: LBA48 NCQ (depth 31/32)
[ 65.438253] ata1.00: configured for UDMA/133

DG

F-3000 (f3000d) wrote :

After installing Ubuntu 9.10 I faced this problem. Only twice before it has caused a "GUI-crash" (Only cursor moves, yet I can switch to console), and now when I came looking for more info about the trouble, I noticed that logs on my Asus keep constantly filling up with this report, even now as I write this.

Apr 4 16:31:02 f-3000-laptop kernel: [ 842.160166] ata3.00: status: { DRDY ERR }
Apr 4 16:31:02 f-3000-laptop kernel: [ 842.160180] ata3: hard resetting link
Apr 4 16:31:03 f-3000-laptop kernel: [ 842.644059] ata3: softreset failed (device not ready)
Apr 4 16:31:03 f-3000-laptop kernel: [ 842.644071] ata3: applying SB600 PMP SRST workaround and retrying
Apr 4 16:31:03 f-3000-laptop kernel: [ 842.808068] ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 310)
Apr 4 16:31:03 f-3000-laptop kernel: [ 842.822909] ata3.00: SB600 AHCI: limiting to 255 sectors per cmd
Apr 4 16:31:03 f-3000-laptop kernel: [ 842.838381] ata3.00: SB600 AHCI: limiting to 255 sectors per cmd
Apr 4 16:31:03 f-3000-laptop kernel: [ 842.838390] ata3.00: configured for PIO0
Apr 4 16:31:03 f-3000-laptop kernel: [ 842.840503] ata3: EH complete
Apr 4 16:31:08 f-3000-laptop kernel: [ 847.976067] ata3.00: qc timeout (cmd 0xa0)
Apr 4 16:31:08 f-3000-laptop kernel: [ 847.976104] ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
Apr 4 16:31:08 f-3000-laptop kernel: [ 847.976114] ata3.00: irq_stat 0x40000001
Apr 4 16:31:08 f-3000-laptop kernel: [ 847.976139] ata3.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
Apr 4 16:31:08 f-3000-laptop kernel: [ 847.976142] cdb 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
Apr 4 16:31:08 f-3000-laptop kernel: [ 847.976146] res 51/20:03:00:00:00/00:00:00:00:00/a0 Emask 0x5 (timeout)

Laptop is eMachines E620 with otherwise basic setup but 2x ram.

F-3000 (f3000d) wrote :

After some digging, I found out that this relates to DVD-drive. Yet I wonder has it anything to do with the crashes I've experienced. Difficult to dig out when the logs are full of the "gibberlish" I copypasted earlier.

I'll be collecting my thoughts and find-outs regarding this issue into this thread (to keep the "spam" out of here):
http://www.atkkierratys.com/forum/viewtopic.php?f=2&t=11

For a note: I find it very odd that I didn't have this problem with Ubuntu 8.04, yet 9.10 got it.

Photon (michael-kogan) wrote :

Bug still appears on Maverick with the 2.6.35 kernel (just some error messages during the boot, so nothing dramatical in my case).

imk (imk) wrote :

I too experiencing this bug on Ubuntu 10.10

Kernel 2.3.35-22
Motherboard: ASUS M4A87TD/USB3: DUAL DDR3,SATA 6.0GB/s, USB 3.0
Processor: AMD PHENOM II X6 1055T (2.80GHz/9MB CACHE/AM3/)
Disk: 640GB WD CAVIAR BLACK WD6402AAEX, SATA 6 Gb/s, 64MB CACHE (7200rpm)

I have successfully installed Maverick from a USB stick. Thereafter, normal boot aborts in initramfs with "ALERT! /dev/disk/by-uuid/xxxxxx does not exist. Dropping to a shell", as reported by sdedgar,
where xxxxxx is the uuid of my root filesystem.

Booting in recovery mode, I get messages:

ata4: softreset failed (device not ready)
ata4: softreset failed (device not ready)
ata4: link is slow to respond, please be patient (ready=0)
ata4: softreset failed (device not ready)
ata4: limiting SATA link speed to 1.5 Gbp
ata4: softreset failed (device not ready)
ata4: reset failed, giving up

At this point, at the shell, if I do:

ls /dev/disk/by-uuid

I will get a no-such-file-or-directory. But if I then repeat the command
5 - 10 times, the directory will appear, and xxxxxx will be listed.

imk (imk) wrote :

As Ubuntu 10.10 will not boot with this bug, I've tried Fedora 13. Can confirm that it boots fine.

imk (imk) wrote :

OpenSuse 11.3 is also free of this boot-breaking bug.

Jim Dunphy (jdunphy) wrote :

I also see this bug when I installed a LG UH10LS20K 10X Blu Ray ROM/DVDRW. The system is set up to boot from an IDE harddrive, and works without the Blu Ray. The system will boot from the Blu ray, so I know the drive and motherboard SATA work. But it won't boot from the harddrive with the blueray installed. I get the same string of "softreset failed" messages as imk.

Ubuntu 10.04
Kernel 2.6.32-29-generic
Motherboard ASUS M4A77TD - AMD 770, Socket AM3, ATX, Audio, PCI Express 2.0, Gigabit LAN, USB 2.0, SATA, RAID
Processor: AMD Phenom II X4 955 Black Edition AM3 CPU HDZ955FBGMBOX - 3.20GHz, Socket AM3, 6MB Cache, 2000MHz (4000 MT/s) FSB

Tester Tester (takida) wrote :

I confirm the bug on Debian 6.0.1 and on Ubuntu 11.04

Here is a photo what's going on the screen:
http://img35.imageshack.us/img35/3044/pic0034k.jpg

Description:
The system boots only once right after the installation, then after the first reboot, when system starts, it says: "ataX: softreset failed (device not ready)" several times, then system doesn't start (can't found the SATA drive).

I tried several boot flags, such as "rootdelay=300" and "all_generic_ide" but in vane. When I try such flags as "acpi=off", "noapic" and "nolapic" there are no errors on screen but the system won't start as well because it can't find the SATA drive.

My hardware:
Motherboard name: Asus M2A-MX
Motherboard chipset: AMD 690V, AMD Hammer
BIOS type: AMI
CPU: AMD Athlon LE-1640, 2600 MHz

The BIOS settings are EXTREMELY poor! I can't change almost anything concerning SATA/IDE behaviour. It always displays an error "No ide master disk present" when starting a pc even with disabled IDE drives detection. What a lame BIOS and chipset!

From what I found, the bug exists because of a stupid hardware. Just look in wikipedia:

http://en.wikipedia.org/wiki/AMD_690_chipset_series
"SATA soft reset fails when PMP is enabled and devices will be not detected"

So, I checked the file "/boot/config-2.6.32-5-686" in the installed system and there are such strings there:
CONFIG_SATA_PMP=y

Some gentoo or slackware guy on an other forum says that he build custom kernel with param CONFIG_SATA_PMP=n and so the bug disappeared. I tried loading in a rescue mode and changed this param in the file "/boot/config-2.6.32-5-686" manually but it didn't help. Sorry, I don't know how to build a custom kernel by installing the system on a new PC. But maybe that could be the possible direction when solving the bug? What do you think?

Tester Tester (takida) wrote :

↑↑↑ I found the solution!

That's again me, my first comment is just above.

When booting, I used flag "noapic" ("nolapic" works too). Seriously, I don't know why it didn't help before, most likely I just forgot to try it and thought I already tried. Or just mixed up it wrongly with "noacpi".

So, the same Debian 6.0.1 (stable), same hardware (AMD 690V chipset and all as above). When grub loads press "e" to manually edit boot options and add "noapic" or "nolapic":
http://img41.imageshack.us/img41/4720/90788533.jpg

You can add one of the flags permanently by editing the system file /boot/grub/grub.cfg. Find there a line with flags giving to the kernel. Add "noapic" or "nolapic":
http://img593.imageshack.us/img593/2456/23161468.jpg
After editing this file rebuild the grub using a command "update-grub".

Still I noticed that the error "ataX: softreset failed (device not ready)" appears twice at the very start by the system boot but right after it without any pause system continues to load normally. Also I don't see these errors in dmesg.

Tester Tester (takida) wrote :

I meant /etc/default/grub, of course.

Fedux (fedux11) wrote :

My problem was the cd drive, so i used an external usb cd drive and Fedora 15 booted up correctly.
The error "ata1:Softreset failed (device not ready)" is still reported (I can see it before Fedora loading screen) , and the internal cd drive is not recognized.
Maybe it's obvious, but it can help some newbie.

lspci (with usb cd drive):
00:00.0 Host bridge: ATI Technologies Inc Device 5a31 (rev 01)
00:01.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:04.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:05.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:06.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:07.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:12.0 SATA controller: ATI Technologies Inc SB600 Non-Raid-5 SATA
00:13.0 USB Controller: ATI Technologies Inc SB600 USB (OHCI0)
00:13.1 USB Controller: ATI Technologies Inc SB600 USB (OHCI1)
00:13.2 USB Controller: ATI Technologies Inc SB600 USB (OHCI2)
00:13.3 USB Controller: ATI Technologies Inc SB600 USB (OHCI3)
00:13.4 USB Controller: ATI Technologies Inc SB600 USB (OHCI4)
00:13.5 USB Controller: ATI Technologies Inc SB600 USB Controller (EHCI)
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 13)
00:14.1 IDE interface: ATI Technologies Inc SB600 IDE
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA)
00:14.3 ISA bridge: ATI Technologies Inc SB600 PCI to LPC Bridge
00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge
01:05.0 VGA compatible controller: ATI Technologies Inc RC410 [Radeon Xpress 200M]
02:00.0 Ethernet controller: Atheros Communications Inc. AR5001 Wireless Network Adapter (rev 01)
08:01.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev b4)
08:01.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 18)
08:01.2 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 09)
08:07.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)

James Cuzella (trinitronx) wrote :

I am seeing this problem on a Gigabyte GA-MA74GM-S2 motherboard. I have tried changing the BIOS setting for both AHCI and IDE modes. I get the same error upon boot.

I did a dist-upgrade from Maverick ( 10.10 ) to Natty ( 11.04 ). After the reboot I see this error all the time. However, I also saw this issue before on the same machine with Lucid ( 10.04.2 LTS ).

Boot messages follow:

The disk drive for / is not ready yet or not present
Continue to wait; or Press S to skip mounting or M for manual recovery
[ 1.740026] ata3: softreset failed (device not ready)
[ 1.740032] ata6: softreset failed (device not ready)
[ 1.740058] ata5: softreset failed (device not ready)
[ 1.740062] ata4: softreset failed (device not ready)

init: udevtrigger main process (467) terminated with status 1
init: udevtrigger post-stop process (471) terminated with status 1
init: udevmonitor main process (466) killed by TERM signal
udevd[453]: specified group 'camera' unknown

James Cuzella (trinitronx) wrote :

Just was able to fix my first boot issue by pressing 'M' for manual recover then doing the following:

mount -o remount,rw /
dpkg --configure -a # Lots of packages were configured (due to a failed dist-upgrade)
apt-get update
apt-get upgrade
apt-get install gdm-guest-session gdm ubuntu-desktop # Some packages were complaining about not configuring properly
grub-install /dev/sda

Aside from some weird issues with my BIOS entering a reboot loop, the dist-upgrade seems to have worked alright.

There are still 2 problems I'm having:

1) It doesn't seem to boot correctly from the first HDD if USB-HDD or CDROM are anywhere above in the boot priority list
2) Every so often I still get the "softreset" and "The disk drive for /home is not ready yet or not present" errors (This is random.. it's usually /home, /, or whatever other partition happens to complain).

AHCI vs IDE modes in the BIOS don't change anything. I'm guessing it's a Gigabyte motherboard issue, or something to do with the ATI SB7x0 chipset. So far I haven't tried compiling a new kernel with "CONFIG_SATA_PMP=n" yet... but that seems like it might work...

References:
https://bugzilla.redhat.com/show_bug.cgi?id=468800
http://kerneltrap.org/mailarchive/git-commits-head/2008/6/14/2122314
http://ubuntuforums.org/archive/index.php/t-1052987.html
http://lime-technology.com/forum/index.php?topic=2642.msg33590#msg33590

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Confirmed → Won't Fix
Displaying first 40 and last 40 comments. View all 159 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.